bcompiler_write_functions_from_file
bcompiler_write_included_filename
bcompiler Functions
PHP Manual

# bcompiler_write_header

Writes the bcompiler header

### Description

bool bcompiler_write_header ( resource `$filehandle` [, string `$write_ver` ] )

Writes the header part of a bcompiler file.

### Parameters

`filehandle`

  A file handle as returned by fopen.

`write_ver`

  Can be used to write bytecode in a previously used format, so that you can use it with older versions of bcompiler.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 bcompiler_write_header example

`<?php
$fh = fopen("/tmp/example","w");
bcompiler_write_header($fh);
bcompiler_write_class($fh,"DB");
bcompiler_write_footer($fh);
fclose($fh);
?>`

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- bcompiler_write_footer